oracle.xml.parser.schema

## Class XSDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - oracle.xml.parser.schema.XSDException

All Implemented Interfaces:
  java.io.Serializable

    public class XSDException
    extends java.lang.Exception

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` Overrride getMessage, in order to construct error message from error id, and error params
`java.lang.String` `getMessage(XMLError err)` Get localized message based on the XMLError sent as parameter

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrride getMessage, in order to construct error message from error id, and error params

Overrides:
  `getMessage` in class `java.lang.Throwable`

#### getMessage

    public java.lang.String getMessage(XMLError err)

Get localized message based on the XMLError sent as parameter

Parameters:
  `err` - XMLError class used to get the error message

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.